<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_analyze.php';


if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$class_id = "";
if (isset($_GET["class_id"]) && is_numeric($_GET["class_id"])) {
	$class_id = $_GET["class_id"];
}

//Xoopsѡ饹δþ
$class_info_object = new CTeacherClassAccess();
$class_inf=$class_info_object->getClassMember($conn, $class_id);

if ($class_inf == false) {
	if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/class_reg/index.php");
	exit;
} else {
	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
		if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/index.php");
		exit;
	}
}

$lecture_id = "";
$lecture_name = "";
$st_id = "";
$st_name="";
if (!isset($_GET["lecture_id"]) || !is_numeric($_GET["lecture_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/index.php");
	exit;
}
if (!isset($_GET["uid"]) || !is_numeric($_GET["uid"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/index.php");
	exit;
}

$lecture_id = $_GET["lecture_id"];
$st_id = $_GET["uid"];
if (isset($_GET["lecture_name"])) {
	$lecture_name = $_GET["lecture_name"];
}
if (isset($_GET["st_name"])) {
	$st_name = $_GET["st_name"];
}

$show_txt = "";

$note_ana_object = new CNoteAnalyze();
$note_ana_object->main($data_object->conn,$st_id,$lecture_id);
$note_ana_object->setEventView();
$note_ana_arr = $note_ana_object->getEventDataArr();
foreach ($note_ana_arr as $note_ana_data) {
	$show_txt .= "<tr>".$note_ana_data."</tr>";
}

if ($conn <> "" && is_object($data_object)) $data_object->closeDB();

$show_data = file_get_contents(TEMPLATE_DIR.'ad_member_reg/detail.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':LEC_NAM_REP:', $lecture_name, $show_data);
$show_data = str_replace(':ST_NAM_REP:', $st_name, $show_data);
$show_data = str_replace(':TBL_DATA_REP:', $show_txt, $show_data);

echo $show_data;
?>